読者です 読者をやめる 読者になる 読者になる

にしもと.blog

色々してます。

Rails tutorialで「DEPRECATION WARNING: Sprockets method `register_engine` is deprecated.」

Waningの続きを見るとsprocketsが悪いと書いてあるが、Gemfileにはsprocketsないやん!! と思った。

 

Gemfile.lockにてsprocketsを調べると、sass-railsの中で使われているようだ。

↓ 

f:id:no-ku-ma:20160924152026p:plain

 

sass-railsのバージョン指定をなくして bundle installのあとbundle updateをしたら治った。